Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleHypertext

All Known Implementing Classes:
  JEditorPane.JEditorPaneAccessibleHypertextSupport

public abstract interface AccessibleHypertext
extends AccessibleText

The AccessibleHypertext class is the base class for all classes that present hypertext information on the display. This class provides the standard mechanism for an assistive technology to access that text via its content, attributes, and spatial location. It also provides standard mechanisms for manipulating hyperlinks. Applications can determine if an object supports the AccessibleHypertext interface by first obtaining its AccessibleContext (see `Accessible`) and then calling the `AccessibleContext.getAccessibleText()` method of AccessibleContext. If the return value is a class which extends AccessibleHypertext, then that object supports AccessibleHypertext.

See Also:
  `Accessible`, `Accessible.getAccessibleContext()`, `AccessibleContext`, `AccessibleText`, `AccessibleContext.getAccessibleText()`

Fields inherited from class javax.accessibility.AccessibleText
`CHARACTER, SENTENCE, WORD`

Method Summary
`AccessibleHyperlink` | `getLink(int linkIndex)` Returns the nth Link of this Hypertext document.
`int` | `getLinkCount()` Returns the number of links within this hypertext doc.
`int` | `getLinkIndex(int charIndex)` Returns the index into an array of hyperlinks that is associated with this character index, or -1 if there is no hyperlink associated with this index.

Methods inherited from interface javax.accessibility.AccessibleText
`getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart`

Method Detail

### getLinkCount

    public int getLinkCount()

  Returns the number of links within this hypertext doc.
  Returns:
    number of links in this hypertext doc.

### getLink

    public AccessibleHyperlink getLink(int linkIndex)

  Returns the nth Link of this Hypertext document.
  Parameters:
    `linkIndex` - within the links of this Hypertext
  Returns:
    Link object encapsulating the nth link(s)

### getLinkIndex

    public int getLinkIndex(int charIndex)

  Returns the index into an array of hyperlinks that is associated with this character index, or -1 if there is no hyperlink associated with this index.
  Parameters:
    `charIndex` - index within the text
  Returns:
    index into the set of hyperlinks for this hypertext doc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.